Skip to content

Allocate funds to employee wallet

Request

Security
oauth2ClientCredentials(Required scopes: employees:write)
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

Bodyapplication/jsonrequired
source_walletstringrequired

source wallet id

Default:1
Example:1
destination_walletstringrequired

source wallet id

Default:1
Example:1
amountnumberrequired

Amount to allocate/remove (in smallest currency unit)

Example:5000
descriptionstring

Transaction description

Example:"Monthly allowance allocation"
employee_idstringrequired

Target employee identifier

Example:"sgggbrfldhqcudjvhhwjpzcdcpcwws"
curl -i -X POST \
  https://developer.boyahq.com/_mock/v2/openapi/employees/allocate-funds \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string' \
  -d '{
    "source_wallet": 1,
    "destination_wallet": 1,
    "amount": 5000,
    "description": "Monthly allowance allocation",
    "employee_id": "sgggbrfldhqcudjvhhwjpzcdcpcwws"
  }'

Responses

Funds allocated successfully